'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const Team = sequelize.define('Team', {
  name: {
    type: Sequelize.STRING
  }
}, {
  underscored: true
});

console.dir(Team.rawAttributes);

(async function() {
  try {
    await sequelize.sync({ force: true });

    // create some data
    await Team.create({
      name: 'My Team'
    }, {
      logging: console.log
    });
  } catch (e) {
    console.log(e);
  }
})();
